import router from '@/router'

const isEnterprise = () => {
  const currentRoute = router.currentRoute.value
  const substr = '/recruit/enterprise'

  // 判断是否是企业路由
  let bool = currentRoute?.path?.includes(substr)
  if (currentRoute?.path === '/enterpriseVerification') bool = true

  // 本地环境保存代码热更新会导致路径缺失问题
  const testUsePath = localStorage.getItem('routerTest')
  if (currentRoute?.path === '/' && testUsePath?.includes(substr)) bool = true
  return bool
}

export const getIsEnterprise = () => { isEnterprise() }

// 获取token
export const getToken = (ENT) => {
  const arr = ['ENT_ACCESS_TOKEN', 'PER_ACCESS_TOKEN']
  let type = (ENT || isEnterprise()) ? arr[0] : arr[1]
  console.log('getToken', type)
  //
  return localStorage.getItem(type)
}

// 设置token
export const setToken = (token, switchToEnt = 0) => { // 个人切换企业switchToEnt = 1
  return localStorage.setItem((switchToEnt || isEnterprise() ? 'ENT_ACCESS_TOKEN' : 'PER_ACCESS_TOKEN'), token)
}

// 清除token
export const removeToken = () => {
  localStorage.removeItem('ENT_ACCESS_TOKEN')
  localStorage.removeItem('PER_ACCESS_TOKEN')
  localStorage.removeItem('ENT_REFRESH_TOKEN')
  localStorage.removeItem('PER_REFRESH_TOKEN')
}
// 获取刷新token
export const getRefreshToken = () => {
  return localStorage.getItem(isEnterprise() ? 'ENT_REFRESH_TOKEN' : 'PER_REFRESH_TOKEN')
}

// 设置刷新token
export const setRefreshToken = (refreshToken, switchToEnt = 0) => { // 个人切换企业switchToEnt = 1
  return localStorage.setItem((switchToEnt || isEnterprise() ? 'ENT_REFRESH_TOKEN' : 'PER_REFRESH_TOKEN'), refreshToken)
}

// 租户ID
export const getTenantId = () => {
  return localStorage.getItem('tenantId')
}

export const setTenantId = (username) => {
  localStorage.setItem('tenantId', username)
}
